/*
MySQL Data Transfer
Source Host: localhost
Source Database: db_eshop
Target Host: localhost
Target Database: db_eshop
Date: 2009-4-26 23:31:01
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for admin
-- ----------------------------
DROP TABLE IF EXISTS `admin`;
CREATE TABLE `admin` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `AdminType` int(4) DEFAULT NULL,
  `AdminName` char(12) DEFAULT NULL,
  `LoginName` char(12) DEFAULT NULL,
  `LoginPwd` char(12) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=gb2312;

-- ----------------------------
-- Table structure for cart
-- ----------------------------
DROP TABLE IF EXISTS `cart`;
CREATE TABLE `cart` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `Member` int(4) NOT NULL,
  `Money` decimal(9,2) DEFAULT NULL,
  `CartStatus` int(4) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=gb2312;

-- ----------------------------
-- Table structure for cartselectedmer
-- ----------------------------
DROP TABLE IF EXISTS `cartselectedmer`;
CREATE TABLE `cartselectedmer` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `Cart` int(4) NOT NULL,
  `Merchandise` int(4) NOT NULL,
  `Number` int(4) NOT NULL DEFAULT '1',
  `Price` decimal(8,2) NOT NULL DEFAULT '0.00',
  `Money` decimal(9,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=gb2312;

-- ----------------------------
-- Table structure for category
-- ----------------------------
DROP TABLE IF EXISTS `category`;
CREATE TABLE `category` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `CateName` char(40) DEFAULT NULL,
  `CateDesc` text,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=gb2312;

-- ----------------------------
-- Table structure for leaveword
-- ----------------------------
DROP TABLE IF EXISTS `leaveword`;
CREATE TABLE `leaveword` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `Member` int(4) NOT NULL,
  `Admin` int(4) DEFAULT NULL,
  `Title` char(60) DEFAULT NULL,
  `Content` text,
  `LeaveDate` datetime DEFAULT NULL,
  `AnswerContent` text,
  `AnswerDate` datetime DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=gb2312;

-- ----------------------------
-- Table structure for member
-- ----------------------------
DROP TABLE IF EXISTS `member`;
CREATE TABLE `member` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `Memberlevel` int(4) NOT NULL,
  `LoginName` char(12) DEFAULT NULL,
  `LoginPwd` char(12) DEFAULT NULL,
  `MemberName` char(20) DEFAULT NULL,
  `Phone` char(15) DEFAULT NULL,
  `Address` varchar(100) DEFAULT NULL,
  `Zip` char(10) DEFAULT NULL,
  `RegDate` datetime DEFAULT NULL,
  `LastDate` datetime DEFAULT NULL,
  `LoginTimes` int(4) DEFAULT NULL,
  `EMail` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=gb2312;

-- ----------------------------
-- Table structure for memberlevel
-- ----------------------------
DROP TABLE IF EXISTS `memberlevel`;
CREATE TABLE `memberlevel` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `LevelName` char(20) DEFAULT NULL,
  `Favourable` int(4) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=gb2312;

-- ----------------------------
-- Table structure for merchandise
-- ----------------------------
DROP TABLE IF EXISTS `merchandise`;
CREATE TABLE `merchandise` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `Category` int(4) NOT NULL,
  `MerName` char(40) DEFAULT NULL,
  `Price` decimal(8,2) DEFAULT NULL,
  `SPrice` decimal(8,2) DEFAULT NULL,
  `MerModel` char(40) DEFAULT NULL,
  `Picture` varchar(100) DEFAULT NULL,
  `MerDesc` text,
  `Manufacturer` char(60) DEFAULT NULL,
  `LeaveFactoryDate` datetime DEFAULT NULL,
  `Special` int(4) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=gb2312;

-- ----------------------------
-- Table structure for orders
-- ----------------------------
DROP TABLE IF EXISTS `orders`;
CREATE TABLE `orders` (
  `ID` int(4) NOT NULL AUTO_INCREMENT,
  `Member` int(4) NOT NULL,
  `Cart` int(4) NOT NULL,
  `OrderNO` char(20) DEFAULT NULL,
  `OrderDate` datetime DEFAULT NULL,
  `OrderStatus` int(4) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=gb2312;

-- ----------------------------
-- Records 
-- ----------------------------
INSERT INTO `admin` VALUES ('1', '1', 'ƷԱ', 'Admin1', 'Admin1'), ('2', '2', 'Ա', 'Admin2', 'Admin2'), ('3', '3', 'ԱԱ', 'Admin3', 'Admin3'), ('4', '4', 'ϵͳԱ', 'Admin4', 'Admin4');
INSERT INTO `cart` VALUES ('2', '8', '318.50', '1'), ('3', '3', '353.35', '1'), ('4', '3', '120.00', '0'), ('5', '1', '160.00', '1'), ('6', '2', '45.00', '1'), ('7', '1', '56.00', '0');
INSERT INTO `cartselectedmer` VALUES ('3', '2', '12', '3', '45.00', '135.00'), ('5', '2', '8', '2', '33.00', '66.00'), ('6', '2', '5', '1', '42.50', '42.50'), ('7', '2', '7', '1', '54.00', '54.00'), ('8', '3', '11', '1', '45.00', '45.00'), ('9', '3', '4', '2', '41.80', '83.60'), ('10', '3', '10', '3', '71.25', '213.75'), ('14', '4', '1', '1', '34.00', '34.00'), ('16', '4', '3', '2', '43.00', '86.00'), ('17', '5', '15', '1', '50.00', '50.00'), ('18', '5', '2', '2', '52.00', '104.00'), ('19', '6', '1', '1', '34.00', '34.00'), ('20', '7', '15', '1', '50.00', '50.00');
INSERT INTO `category` VALUES ('1', '', 'صĸ鼮'), ('2', '', 'صĸ鼮'), ('3', 'Ӣ', 'Ӣصĸ鼮'), ('4', 'С˵', 'С˵');
INSERT INTO `leaveword` VALUES ('1', '2', null, 'ǳл', 'ǳлܷ㣡', '2009-04-20 21:14:44', null, null), ('2', '2', null, '', 'ĵվ', '2009-04-20 21:15:40', null, null), ('3', '3', null, '֧', 'ֵ֧', '2009-04-20 22:38:58', null, null);
INSERT INTO `member` VALUES ('1', '4', 'liuqiao', 'liuqiao', '', '13971559323', 'ʡ人кɽ', '432200', '2009-04-20 18:40:30', '2009-04-23 17:40:08', '7', 'liuqiao1982@sina.com'), ('2', '1', 'jinwu', 'jinwu', '', '13456754323', '㶫ʡ', '435567', '2009-04-20 21:05:58', '2009-04-21 15:33:41', '2', 'jinwu@sina.com'), ('3', '1', 'hujie', 'hujie', '', '13456789067', '人кɽ³ĥ·', '432254', '2009-04-20 21:17:08', '2009-04-21 15:32:36', '3', 'hujie@sohu.com'), ('8', '3', 'chenlin', 'chenlin', '', '13456756789', 'ʡ人', '432543', '2009-04-20 22:44:30', '2009-04-21 15:33:08', '2', 'chenlin@sohu.com'), ('9', '1', 'ggg', 'ggg', 'ø', '66771111111', 'ggg', 'ggg', '2009-04-24 15:44:50', '2009-04-24 15:44:50', '0', 'gg@ff.cn'), ('10', '1', 'ggg1', '111', 'ø', '66771111111', 'ggg', 'ggg', '2009-04-24 16:11:16', '2009-04-24 16:11:16', '0', 'gg@ff.cn');
INSERT INTO `memberlevel` VALUES ('1', 'ͨԱ', '95'), ('2', 'ƽԱ', '90'), ('3', '׽Ա', '85'), ('4', 'ʯԱ', '80');
INSERT INTO `merchandise` VALUES ('1', '1', 'JavaScript ߼', '45.00', '34.00', 'c1', '/Picture/9211839-1_b.jpg', 'JavaScriptĿǰWebͻ˿ҪԣҲAjaxĺļ֮һNetscapeеJavaScriptʼֱǰXMLWebľ֧֣Ҫ漰JavaScriptص㡢JavaScriptĽ߼JavaScriptɣԼWebӦóвJavaScriptйص⣬ԡȫԡŻ/XMLWebӦЩ֪ʶ̬û档', 'ʵ', '2009-04-21 00:00:00', '1'), ('2', '1', 'Ajaxʵս', '65.00', '0.00', 'c2', '/Picture/9161326-1_b.jpg', 'ĿǰAjaxΪȫһвжڻ֪ʶĽܣжAjaxشϵܹ֣̽ܽ˴Ajaxеģʽ˿ܡȫܵȵȡṩ˼͵ӣ˸ֿƽ̨ЩӵĴ޸ľͿֱӦĿ֮УԴļԴͼվء\r\nݹ㷺룬ͬʱڸεWebӦÿԱ', 'ʵ', '2009-04-21 00:00:00', '0'), ('3', '1', 'CSS̳', '54.00', '43.00', 'c3', '/Picture/9211839-1_b.jpg', 'CSS 飬ص㽲ʹCSS ʵֻWeb ׼վʵվݺͱ롣\r\n֡һֽCSS Ļ֪ʶͻCSS ֱҳеһЩԪؼʽıͼбӡ񡢱ȡڶҪ˻CSS ʵҳֵظ뼼岼ֵȡ󻹸һʵİݽۺۡ\r\nʺڸWeb ԱԱͲԱѧϰο', 'еҵ', '2002-04-09 00:00:00', '1'), ('4', '1', 'ͨCSS߼Web׼', '44.00', '33.00', 'c3', '/Picture/9221944-1_b.jpg', '齫õCSSһڽܻCSSʵ֮˺ĵCSSͼӡбݡơݱԼCSS֡ÿһǳֱȽϸӵʾ֮bugbug޸Simon CollisonCameron MollλܳCSSԱ۵༼ʵо黹нʵ⣬ֲCSS֪ʶǷȱɻȱĲο顣\r\nʺϾ(X)HTMLCSS֪ʶκҳԱĶ', 'еҵ', '2004-04-15 00:00:00', '0'), ('5', '1', 'иɻWeb:XHTMLCSSվӦ', '50.00', '0.00', 'c5', '/Picture/9232841-1_b.jpg', 'дĴͳtableֺڵdivֽбȽϡ', 'ѧ', '2009-04-15 00:00:00', '0'), ('6', '3', '±࿼Ӣǵʣ2010棩', '65.00', '0.00', 'e1', '/Picture/20511678-1_b.jpg', 'ѡеѴҲһҸݴҪע⣬ּڱϿڿʱҪɺѡϣΪɨ˿еϰ', 'еҵ', '2000-05-10 00:00:00', '0'), ('7', '3', '°˵', '65.00', '54.00', 'e2', '/Picture/20525298-1_b.jpg', 'й¼°˵ʮƪְ˵ÿƪ˵󶼸꾡ıעѴʽ˽ʷ״˽°·̵ľϣҲѧϰӢļݽɵ÷\r\nĵӡǣӡǵ֥Ӹ磬֥Ӹ絽׹?°ʷһ˼顢ԵĴ档ѡ֮Ȩ֮·ѾչҪü顢ǻۺͿڲȥ͸жȫΪһλˡһλԱһλʦһλѧʦһλסһλͽһλͣ°˵˸˵ĳɳֵȡ򡢶ս̬ȣ塢˰յκ᷽˶ĸ﷽ݽ߼ܣȣġ', 'ѧ', '2006-04-12 00:00:00', '1'), ('8', '4', 'ص6', '45.00', '33.00', 'n1', '/Picture/20516672-1_b.jpg', 'ûһС˵񡶲ص롷漣Ӯרҡѧߡˡꡢý塢ȫ֪ĳԼǧͨߵĿ׷ص롷ǵйǧԡ˽صѡҲǵĻС˵ĿǰѴﵽ˵200ᡣ', 'ѧ', '2006-04-12 00:00:00', '1'), ('9', '4', 'ݵ֤', '55.00', '0.00', 'n2', '/Picture/20373098-1_b.jpg', '鳬Խһķع£ͣ5ҪÿʷʱڵİµռͨȥĸʱֹҷչЩĬĬŵĻӢ۾ıʡ\r\nȫ齲һҵ鱨ԱԽ47ͨʷʱڵıǨȫµӽһսϡƳɵġˣͨһݵ֤˹͹ʷӰ', 'ճ', '2009-04-08 00:00:00', '0'), ('10', '2', 'ͷؽƱ', '75.00', '0.00', 'm4', '/Picture/20522936-1_b.jpg', 'ڴŰͷصǰϱ?ͷоͷطȨʿά?̽?ͷص˼뾫裬ڱǳؽܰͷط˾񱨱Ļƽ԰ͷصͶʵ㣺\r\nͷڷʲծʱЩþĻƽ򣬰ͷѰҾгԾƹ˾ĲָDDݴˣԻ÷ĳͶʻرͷʹò񱨱ȥһҹ˾ļֵͷضɼ۱˵Ĺ˾ܶԶ֮\r\nӹɣͷڹ͹˾ļ򵥲ָʶսУЩ˾ȫʤЩ˾Ұܶաѧͷһ˾Ʊһڹջ˶', 'ճ', '2002-03-20 00:00:00', '0'), ('11', '4', 'ս', '56.00', '45.00', 'm9', '/Picture/9304959-1_b.jpg', 'Ϊʲô㲻֪˽еУ\r\nΪʲôַʱѡϣΪͶʡ\r\nΪʲôͳ̵ıŵ׵½һ߲ӵʣ\r\n1694Ӣгģ䣬ÿһشʱ󣬶ܿʽʱӰͨһľչҵˣͨɿ¼շΣƸ䡣˵һʷһıƸıʷ\r\nͨġʽڼżʷϷƸḶ́ʾ˶ԽǮĽʷķչҲƸķ䣬ͨͳľӢֲ뾭򲻶ս۵ֶּڸǾǱڵĽڴΪӭһѪս׼\r\nйڵȫ濪ţмҽйĽڸء췢Ĺ£й', '廪ѧ', '2005-03-16 00:00:00', '1'), ('12', '4', 'ƶߵİ', '66.00', '45.00', 'n6', '/Picture/20525341-1_b.jpg', 'ʮľưɷԱĦƶμһΪ˭Ӯʮڡĵ֪ʶʴȻ漣ʮ⣬һӮۻDDʮ¬ȡĦǸĹ¶δϹѧӲ֪ʮйģڽ̡ʷѧĴأΪɾвĦ̱ƹһŮʦĳֽŮʦĵ飬ĦսѵóһһݣӡҲ̳֮¿', 'ճ', '2009-04-09 00:00:00', '1'), ('13', '1', 'ʿͻ', '36.00', '0.00', 'n5', '/Picture/9255064-1_b.jpg', 'ĲһС˵ѧǳɳʷÿһλ߶ҵԼһЩӰӡˣɸζġɵҲȥϲãһ飬̻ܽˣ\r\n־жʿľḻһԸȱͨũ庢ӣִţھ˵ΪıȫۣΪ棬ȫΪ֮жΪִţȫӪսʿΪ֮\r\nȻļڱըбһȴ޷ֹľ˲δʹǾ˵ְǹɱĥаɸ֡\r\nֽШDDࡣ', 'ճ', '2009-04-09 00:00:00', '0'), ('14', '2', '쵼ʲô', '66.00', '0.00', 'm5', '/Picture/9250656-1_b.jpg', '쵼ʲô㼯ڶ£쵼δӾͲȷءνѧϰ֯δٽԼڵ֯й֪ʶԱر¼ܵ⡣\r\n׫߶ǵصҵ˼Һ͹еٮٮߡԵ㷺룬ΪӪзṩµ쵼Ϊٽһ쵼ķչṩµļɣΪΣṩµ쵼ҲΪھлʤ֯ṩµ·ͬһרҵǻ۵ʵ¼Ϊ軭һ21͵쵼ͼ', 'ճ', '2009-04-09 00:00:00', '0'), ('15', '2', 'ʲô', '56.00', '50.00', 'm8', '/Picture/8768781-1_b.jpg', 'ǹȥ˼µļʵõܽᡣжԸµĹ꾡Ľܣν֮õӵճ֯н˲нߴӾеĿ˼άת䵽Եġϵܳѧϰ˼άС\r\nʱľƶԹµսҵѧϰǱӦٶȺӦȡ˴ͳʲģгݶʲָꡣԿͻΪĲֻӪŵ˼룬ҵ\r\n鲻ҪͳĹʵҪǴڷ硵ҵѰЧĹ˼룬ʵҵЧشͻơ\r\nŷ޺ĳɹʵ֤˱ʵʹнӽΪṩʵĲָϡ', '', '2009-01-14 00:00:00', '1');
INSERT INTO `orders` VALUES ('2', '8', '2', '1240296879656', '2009-04-21 14:54:39', '1'), ('3', '3', '3', '1240297000546', '2009-04-21 14:56:40', '2'), ('4', '1', '5', '1240299012625', '2009-04-21 15:30:12', '3'), ('5', '2', '6', '1240299319328', '2009-04-21 15:35:19', '1');
